using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;

namespace YBEE.EQM.Core;

/// <summary>
/// 监测结果反馈发布内容
/// </summary>
[Comment("监测结果反馈发布内容")]
public partial class ExamDataPublish : DEntityBase
{
    /// <summary>
    /// 监测计划ID
    /// </summary>
    [Comment("监测计划ID")]
    [Required]
    public int ExamPlanId { get; set; }
    /// <summary>
    /// 发布类型
    /// </summary>
    [Comment("发布类型")]
    [Required]
    public DataPublishType Type { get; set; }
    /// <summary>
    /// 发布名称
    /// </summary>
    [Comment("发布名称")]
    [Required, StringLength(100)]
    public string Name { get; set; }
    /// <summary>
    /// 备注
    /// </summary>
    [Comment("备注")]
    [StringLength(2000)]
    public string Remark { get; set; }

    /// <summary>
    /// 发布状态
    /// </summary>
    [Comment("发布状态")]
    [Required]
    public PublishStatus Status { get; set; } = PublishStatus.UNPUBLISH;
    /// <summary>
    /// 发布时间
    /// </summary>
    [Comment("发布时间")]
    public DateTime? PublishTime { get; set; }
    /// <summary>
    /// 发布人用户ID
    /// </summary>
    [Comment("发布人用户ID")]
    public int? PublishSysUserId { get; set; }




    /// <summary>
    /// 一对一引用（发布用户）
    /// </summary>
    public virtual SysUser PublishSysUser { get; set; }
}
